Bug 984170 - [abrt] xscreensaver-gl-extras-5.21-9.fc17: brw_update_renderbuffer_surface: Process /usr/libexec/xscreensaver/polytopes was killed by signal 11 (SIGSEGV)
[abrt] xscreensaver-gl-extras-5.21-9.fc17: brw_update_renderbuffer_surface: P...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:c980fe02c73649d3e64c7295864...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 04:02 EDT by Leon
Modified: 2013-07-31 14:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.79 KB, text/plain)
2013-07-13 04:02 EDT, Leon
no flags Details
File: cgroup (127 bytes, text/plain)
2013-07-13 04:02 EDT, Leon
no flags Details
File: core_backtrace (1.12 KB, text/plain)
2013-07-13 04:02 EDT, Leon
no flags Details
File: dso_list (2.55 KB, text/plain)
2013-07-13 04:02 EDT, Leon
no flags Details
File: environ (1.66 KB, text/plain)
2013-07-13 04:03 EDT, Leon
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-13 04:03 EDT, Leon
no flags Details
File: maps (7.91 KB, text/plain)
2013-07-13 04:03 EDT, Leon
no flags Details
File: open_fds (222 bytes, text/plain)
2013-07-13 04:03 EDT, Leon
no flags Details
File: proc_pid_status (795 bytes, text/plain)
2013-07-13 04:03 EDT, Leon
no flags Details
File: var_log_messages (317 bytes, text/plain)
2013-07-13 04:03 EDT, Leon
no flags Details

  None (edit)
Description Leon 2013-07-13 04:02:40 EDT
Description of problem:
I saw the report the next morning on my pc. 
Looks like library issues

Version-Release number of selected component:
xscreensaver-gl-extras-5.21-9.fc17

Additional info:
backtrace_rating: 4
cmdline:        polytopes -window-id 98566186 -speed-wx 1.1 -speed-wy 1.3 -speed-wz 1.5 -delay 25000 -speed-xy 1.7 -speed-xz 1.9 -speed-yz 2.1
crash_function: brw_update_renderbuffer_surface
executable:     /usr/libexec/xscreensaver/polytopes
kernel:         3.8.13-100.fc17.i686
runlevel:       N 5
uid:            1000
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 brw_update_renderbuffer_surface at brw_wm_surface_state.c:959
 #1 brw_update_renderbuffer_surfaces at brw_wm_surface_state.c:1052
 #2 brw_upload_state at brw_state_upload.c:503
 #3 brw_try_draw_prims at brw_draw.c:482
 #4 brw_draw_prims at brw_draw.c:566
 #5 vbo_draw_arrays at vbo/vbo_exec_array.c:590
 #6 vbo_exec_DrawArrays at vbo/vbo_exec_array.c:632
 #7 _mesa_DrawArrays at vbo/vbo_exec_array.c:1299
 #8 _mesa_meta_glsl_Clear at drivers/common/meta.c:1973
 #9 intelClear at intel_clear.c:192
Comment 1 Leon 2013-07-13 04:02:46 EDT
Created attachment 772961 [details]
File: backtrace
Comment 2 Leon 2013-07-13 04:02:49 EDT
Created attachment 772962 [details]
File: cgroup
Comment 3 Leon 2013-07-13 04:02:53 EDT
Created attachment 772963 [details]
File: core_backtrace
Comment 4 Leon 2013-07-13 04:02:56 EDT
Created attachment 772964 [details]
File: dso_list
Comment 5 Leon 2013-07-13 04:03:01 EDT
Created attachment 772965 [details]
File: environ
Comment 6 Leon 2013-07-13 04:03:04 EDT
Created attachment 772966 [details]
File: limits
Comment 7 Leon 2013-07-13 04:03:08 EDT
Created attachment 772967 [details]
File: maps
Comment 8 Leon 2013-07-13 04:03:11 EDT
Created attachment 772968 [details]
File: open_fds
Comment 9 Leon 2013-07-13 04:03:15 EDT
Created attachment 772969 [details]
File: proc_pid_status
Comment 10 Leon 2013-07-13 04:03:18 EDT
Created attachment 772970 [details]
File: var_log_messages
Comment 11 Mamoru TASAKA 2013-07-14 03:01:55 EDT
Once asking mesa maintainer for help.
Comment 12 Fedora End Of Life 2013-07-31 14:21:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.